Update Custom Field
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/custom-fields/{customFieldId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "pasyzwszwtxpeqq",
"type": "textarea",
"placeholder": "ikymwkiinfowtzm",
"hint": "ixkolowyuffszfr",
"options": "snwwxvxezhebdrx",
"default": "kpiypmuihrdifek",
"regex": "zagqzitsslufxbo",
"is_required": true
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/custom-fields/{customFieldId}"
payload = {
"name": "pasyzwszwtxpeqq",
"type": "textarea",
"placeholder": "ikymwkiinfowtzm",
"hint": "ixkolowyuffszfr",
"options": "snwwxvxezhebdrx",
"default": "kpiypmuihrdifek",
"regex": "zagqzitsslufxbo",
"is_required": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'pasyzwszwtxpeqq',
type: 'textarea',
placeholder: 'ikymwkiinfowtzm',
hint: 'ixkolowyuffszfr',
options: 'snwwxvxezhebdrx',
default: 'kpiypmuihrdifek',
regex: 'zagqzitsslufxbo',
is_required: true
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/custom-fields/{customFieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom Fields
Update Custom Field
Updates an existing custom field.
PUT
/
v1
/
shops
/
{shopId}
/
custom-fields
/
{customFieldId}
Update Custom Field
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Must not be greater than 255 characters.
Example:
"pasyzwszwtxpeqq"
Available options:
text, textarea, checkbox, select Example:
"textarea"
Must not be greater than 255 characters.
Example:
"ikymwkiinfowtzm"
Must not be greater than 255 characters.
Example:
"ixkolowyuffszfr"
Must not be greater than 255 characters.
Example:
"snwwxvxezhebdrx"
Must not be greater than 255 characters.
Example:
"kpiypmuihrdifek"
Must not be greater than 255 characters.
Example:
"zagqzitsslufxbo"
Example:
true
Response
200 - undefined